Edit alert

Edits an existing alert by its ID. Any parameters not passed are unchanged.

Required permissions - View, Create, Edit and Delete Alerts

Path Params
string
required

ID of the alert to edit.

Body Params
boolean

Indicates if the alert is enabled.

int32

OS platform. This determines which scripts are available to select as a followup action when the alert is triggered. This does not determine which devices can trigger the script.

  • 0 - No platform selected
  • 1 - Windows
  • 2 - macOS
  • 3 - Linux
  • 4 - ChromeOS
string

Indicates if the Alert raises a ServiceNow ticket when it activates. "true" means that a ticket is raised.

int32

Type of ServiceNow ticket.

  • 1 = Incident
  • 2 = Event
int32

Impact level for the ServiceNow ticket.

  • 1 = High
  • 2 = Medium
  • 3 = Low
int32

Urgency level for the ServiceNow ticket.

  • 1 = High
  • 2 = Medium
  • 3 = Low
int32

Auto-close interval for the ServiceNow ticket in seconds.

string

Name of the alert.

string

Description of the alert.

string

Index associated with the alert. The alerts conditions (located in `filters) must be based off of fields in the data index.

filters
array of objects

List of conditions for the alert to activate. Multiple conditions are combined using AND operators.

filters
int32

The number of times that the conditions must be met within the time window (results_threshold_seconds) for the trigger to activate.

int32

The length of time in seconds that the alert system searches back to check whether the alert's activation conditions were met.

int32

The minimum duration between subsequent alert activations. If the retrigger interval duration has not passed since the last alert activation, then the alert won't activate even if all conditions are met.

int32

Severity level of the alert.

  • 1 - Informational
  • 2 - Low
  • 3 - Medium
  • 4 - High
  • 5 - Critical
int32

Internal use only.

uri | null

URL for a webhook to be triggered.

string | null

ID of a system script to run on devices that trigger the alert. You can use GET /scripts to see script IDs.

string | null

ID of a user script to run on devices that trigger the alert. You can use GET /scripts to see script IDs.

string | null

Internal use only.

string | null

ID of an on-demand survey to run on devices that trigger the alert. You can use GET /surveys to see survey IDs.

string

A semicolon-separated list of email addresses to receive an email when the alert triggers.

Responses
200

Alert edited

401

Invalid or missing API key.

403

API key is expired.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!